Package org.jboss.resteasy.plugins.providers.atom

## Class Person

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Person

-     public class Person
      extends CommonAttributes

  Per RFC4287:

         A Person construct is an element that describes a person,
         corporation, or similar entity (hereafter, 'person').

         atomPersonConstruct =
           atomCommonAttributes,
           (element atom:name { text }
            & element atom:uri { atomUri }?
            & element atom:email { atomEmailAddress }?
            & extensionElement*)

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Person()` |
    `Person​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEmail()` |
    `String` | `getName()` |
    `URI` | `getUri()` |
    `void` | `setEmail​(String email)` |
    `void` | `setName​(String name)` |
    `void` | `setUri​(URI uri)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Person

          public Person()

    - #### Person

          public Person​(String name)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getUri

          public URI getUri()

    - #### setUri

          public void setUri​(URI uri)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail​(String email)